function [hk,Hk] = kalman_h(k,xk)

global map
global threshold
global input_u


eps = 1e-3;

hk = zeros(size(map,1),1);

for i = 1:size(map,1)
    
    d = sqrt((xk(1)-map(i,1))^2 + (xk(2)-map(i,2))^2 );
    hk(i) = d;
    
end


Hk = zeros(size(hk,1),3);

for j = 1:size(map,1)
    
    q = sqrt((map(j,1)-xk(1))^2+(map(j,2)-xk(2))^2);
    if  ( q > eps )
        Hk(j,1) = -(map(j,1)-xk(1))/sqrt(q);
        Hk(j,2) = -(map(j,2)-xk(2))/sqrt(q);
    end
    
end




